#include <iostream>
using namespace std;

int main() {
    int count, height;
    cin >> count >> height;
    for (int i = 0; i < count; i++) {
        int stalactite;
        cin >> stalactite;
        if (stalactite <= height) {
            cout << i+1 << endl;
            return 0;
        }
    } cout << -1 << endl;
    return 0;
}